Latest filings
curl --request GET \
--url https://www.prometheus.services/api/v1/filings \
--header 'X-API-KEY: <api-key>'import requests
url = "https://www.prometheus.services/api/v1/filings"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://www.prometheus.services/api/v1/filings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filings": [
{
"id": 2652436,
"accessionNumber": "0002149900-26-000003",
"filingType": "4",
"filingDate": "2026-08-21",
"fileSizeBytes": 7966,
"cik": "0001374310",
"companyName": "Cboe Global Markets, Inc.",
"ticker": "CBOE"
},
{
"id": 2651645,
"accessionNumber": "0002142618-26-000008",
"filingType": "4",
"filingDate": "2026-08-21",
"fileSizeBytes": 6627,
"cik": "0001091667",
"companyName": null,
"ticker": null
},
{
"id": 2651636,
"accessionNumber": "0002142618-26-000006",
"filingType": "3",
"filingDate": "2026-08-21",
"fileSizeBytes": 505358,
"cik": "0001091667",
"companyName": null,
"ticker": null
}
],
"limit": 5
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}{
"error": "<string>",
"code": "unauthenticated"
}SEC Filings
Latest filings
Newest completed SEC filings across all covered companies.
GET
/
api
/
v1
/
filings
Latest filings
Authorizations
apiKeycognitoIdToken
Prometheus API key (pk_live_...), created on the Developers page in the terminal. Also accepted as Authorization: Bearer pk_live_....
Query Parameters
1–100, default 100.
Response
OK
The response is of type object.
⌘I